#ifndef QLOPDATABASE_H
#define QLOPDATABASE_H

#include <QObject>
#include <qlopdata.h>
#include <QList>
#include <qlopservice.h>

class QLopDataBaseViewer;

class QLopDataBase : public QLopService
{
    Q_OBJECT
    static QDockWidget* m_gui;
    QLopDataBase(bool noGUI=false,QObject *parent = 0);
    ~QLopDataBase();
    static QLopDataBase* _self;
public:
    QDockWidget* getGUI();
    static void init(bool noGUI=false,QObject *parent = 0);
    const QString& serviceName();
    static int addData(QLopData* data);
    static int addData(const QLopDataList &data);
    static int removeData(QLopData* data);
    static int removeData(const QLopDataList &data);
    static QLopDataBase* self();
    static int count();
    static QLopData* getData(const QString& name);
    static QLopData* getData(int ID);
    QLopData* getDataFromIdex(int index);
signals:
    void DBChanged();
public slots:
private:
    static QList<QLopData*>* m_dataBase;
};

#endif // QLOPDATABASE_H
